Page MenuHomePhabricator

[PowerPC] Add range check for vec_genpcvm builtins
ClosedPublic

Authored by quinnp on Sep 14 2021, 12:37 PM.

Details

Summary

This patch adds range checking for some Power10 altivec builtins. Range
checking is done in SemaChecking.

Diff Detail

Event Timeline

quinnp created this revision.Sep 14 2021, 12:37 PM
quinnp requested review of this revision.Sep 14 2021, 12:37 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 14 2021, 12:37 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
quinnp added reviewers: Restricted Project, nemanjai, stefanp, lei.Sep 14 2021, 12:39 PM
Conanap accepted this revision.Sep 20 2021, 11:21 AM
Conanap added a subscriber: Conanap.

lgtm

This revision is now accepted and ready to land.Sep 20 2021, 11:21 AM
lei accepted this revision.Sep 20 2021, 11:34 AM

LGTM.
Thx!

quinnp updated this revision to Diff 374854.Sep 24 2021, 8:19 AM

Rebased with main.

This revision was landed with ongoing or failed builds.Sep 24 2021, 9:15 AM
This revision was automatically updated to reflect the committed changes.